Edsf.Persona.change_system_groups – folks-eds Reference Manual

# change_system_groups

## Description:

public async void change_system_groups (Set<string> system_groups) throws PropertyError

Change the contact's system groups.

The system groups are a property exposed by Google Contacts address books, and can include any combination of the following identifier: - "Contacts" - "Family" - "Friends" - "Coworkers"

Setting the system groups will also change the group membership to include the localized version of those groups, and may change the value of Edsf.Persona.in_google_personal_group.

Attempting to call this method on a persona belonging to a PersonaStore which is not Google will throw a PropertyError.

It's preferred to call this rather than setting Persona.system_groups directly, as this method gives error notification and will only return once the groups have been written to the relevant backing store (or the operation's failed).

## Parameters:

system_groups | the complete set of system group ids the contact should be a member of

## Exceptions:

PropertyError | if setting the groups failed

## Since:

0.9.0